import React from 'react';
import _ from 'lodash';

import { useBoard } from '../hooks/board.js';

import './GameBoard.css';

const makeCell = (isSelected, isDouble, i) => {
  let s = '';
  if (!isSelected) {
    if (!isDouble) {
      s = `$${200 * (i + 1)}`;
    } else {
      s = `$${400 * (i + 1)}`;
    }
  }
  return <td>{s}</td>;
}
export default function GameBoard() {
  const board = useBoard();
  
  return (
    <div className="gameboard">
        <div className="roomCode">Room Code: ???</div>
        <div className="board">
            <table>
                <tr>
                    { board.categories.map(c => <th>{c}</th>) }
                </tr>
                { board.selected.map((r, i) => <tr> {
                  r.map(selected => makeCell(selected, board.double, i))
                }</tr>)}
            </table>
        </div>
    </div>
  );
}
